module DIS_CHAN (LR, CLK, L7S, R7S);

// inputs
input LR, CLK;

// outputs
output [6:0] L7S, R7S;

// registers
reg LR, CLK;
reg [6:0] L7S, R7S;

// parameters
parameter NONE	= 0;
parameter LEFT	= 37;
parameter RIGHT	= 116;

// body
always @(posedge CLK) begin

	if (LR == 0) begin
		// Display "L" on left 7-segment
		L7S = LEFT;
		R7S = NONE;
	end
	else begin
		// Display "R" on right 7-segment
		L7S = NONE;
		R7S = RIGHT;
	end

end

endmodule
